Subject: [v6ops] draft-herbst-v6ops-cpeenhancements-00

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Sun, 7 Nov 2010 18:16:16 -0600

Tom,

Unless I see a picture for the routed topology of how the smart energy
meter gateway is deployed in the home, it's not clear what one should
look into for integrating such a device in an existing home.   Also,
your document says, 40% of the homes do not even have broadband access.
Thus in such a home with no broadband access, one may not have any other
router in the home to merge with the smart energy meter and hence none
of the features in your doc are required.   The requirements in this
document have to be more specific.   Anyway, whatever little I
understand from this document, I see that this new router gets a prefix
from the energy company adds multi-homing to the home with a broadband
connection.  The energy  meter device/router also gets added to the home
network.   Most of the other requirements in your document have been
discussed by the design team of the IPv6 CE Router Phase II document.
We'd be happy to work with you and flush out your requirements and see
what we can do to the Phase II or Phase III document.    Your document
has also not mentioned basic issues like multiple default gateways,
source-address selection, and DNS server selection (see
http://tools.ietf.org/html/draft-troan-multihoming-without-nat66-00)
that are issues to tackle first for a multi-homed network.   

Also, note in the Future Work section (section 3) of your document,
there is this bullet that already contradicts the IETF v6ops IPv6 CE
Router Phase one document in the RFC Editor queue
(http://datatracker.ietf.org/doc/draft-ietf-v6ops-ipv6-cpe-router/).

[o  Define precoedures for gateways to generate a ULA if required]

The draft-ietf-v6ops-ipv6-cpe-router says generation of the ULA is a
MUST, not "if required" as your bullet says above.  See requirement L-1
in section 4.3 of draft-ietf-v6ops-ipv6-cpe-router.  Also, it is not
clear what you mean by "define procedures".   One task in the procedures
of ULA setup is automatic which is the ULA prefix generation algorithm
specified by RFC 4193.   So what other tasks in the procedures are we
talking about? 

Regards,

Hemant

Hemant Singh
Technical Leader.engineering
Product Development
[email-masked]
Phone: +1 978 936 1622
Cisco Systems, Inc.
United States
Cisco.com - http://www.cisco.com

For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Fred Baker <[email-masked]>
Date: Mon, 8 Nov 2010 08:18:59 +0800

On Nov 8, 2010, at 8:16 AM, Hemant Singh (shemant) wrote:

> Unless I see a picture for the routed topology of how the smart energy meter gateway is deployed in the home, it’s not clear what one should look into for integrating such a device in an existing home.

I think Tom's point is that such topologies are under consideration in the Zigbee Alliance. That's their major reason for including IPv6 (6lowpan) in Smart Energy Profile 2.0, and an obvious secondary path to the utility for certain types of exchanges.

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Sun, 7 Nov 2010 18:26:09 -0600

What my point was that it's best if Tom's document shows pics and
describes the routed topology and network in one self-contained v6ops
document.  Otherwise readers in v6ops have find docs on the Zigbee
alliance, HAN, 6lowpan,  or what have you. It would be also good for the
cpeenhancements document to reference 6lowpan, etc.

Thanks,

Hemant

-----Original Message-----
From: Fred Baker (fred) 
Sent: Sunday, November 07, 2010 7:19 PM
To: Hemant Singh (shemant)
Cc: IPv6 Operations; [email-masked]; [email-masked]
Subject: Re: [v6ops] draft-herbst-v6ops-cpeenhancements-00

meter gateway is deployed in the home, it's not clear what one should
look into for integrating such a device in an existing home.

I think Tom's point is that such topologies are under consideration in
the Zigbee Alliance. That's their major reason for including IPv6
(6lowpan) in Smart Energy Profile 2.0, and an obvious secondary path to
the utility for certain types of exchanges.

---

From: Fred Baker <[email-masked]>
Date: Mon, 8 Nov 2010 08:40:43 +0800

So you're looking for something like:

>    A        thermostats, appliances, etc	
>    |  ------+----------------+------------------	
>    |"HAN"   |	             |
>    |    +---+---+        +---+---+
>    |    |Router |        | Meter |
>    |    |or EMS |        |       |
>    V    +---+---+        +---+---+
>    ---      |	    ---      \
>             |       ^         \   |   /	
>             |       |"NAN"     \  |  /
>          ---+---    |        +--+-+-+---+
>         /       \   |        |"Pole Top"|
>        | Internet|  v        +----+-----+
>         \       /   ---
>          -------

which was suggested by Ralph Droms for inclusion in draft-baker-ietf-core. And which I thought we included but it looks like was missed. Hmm. In any event, you might take a glance at figures 7 and 8 in

http://tools.ietf.org/html/draft-baker-ietf-core
  "Internet Protocols for the Smart Grid", Fred Baker, Dave Meyer,
  25-Oct-10, <draft-baker-ietf-core-09.txt>

and yes, I'll be doing an edit to include that diagram.

---

From: Don Sturek <[email-masked]>
Date: Sun, 7 Nov 2010 21:29:55 -0800 (PST)

Hi Hermant,

On your point on the 40% of the deployments without broadband, we need to 
support the ability for those customers to add broadband later and to deploy 
smart energy devices on other links.  Therefore, the use case needs to be 
considered.

Don

________________________________
From: Hemant Singh (shemant) <[email-masked]>
To: IPv6 Operations <[email-masked]>; [email-masked]
Cc: [email-masked]; Hemant Singh (shemant) <[email-masked]>
Sent: Sun, November 7, 2010 4:16:16 PM
Subject: draft-herbst-v6ops-cpeenhancements-00

Tom,
 
Unless I see a picture for the routed topology of how the smart energy meter 
gateway is deployed in the home, it’s not clear what one should look into for 
integrating such a device in an existing home.   Also, your document says, 40% 
of the homes do not even have broadband access.   Thus in such a home with no 
broadband access, one may not have any other router in the home to merge with 
the smart energy meter and hence none of the features in your doc are required.  
 The requirements in this document have to be more specific.   Anyway, whatever 
little I understand from this document, I see that this new router gets a prefix 
from the energy company adds multi-homing to the home with a broadband 
connection.  The energy  meter device/router also gets added to the home 
network.   Most of the other requirements in your document have been discussed 
by the design team of the IPv6 CE Router Phase II document.  We’d be happy to 
work with you and flush out your requirements and see what we can do to the 
Phase II or Phase III document.    Your document has also not mentioned basic 
issues like multiple default gateways, source-address selection, and DNS server 
selection (see 
http://tools.ietf.org/html/draft-troan-multihoming-without-nat66-00) that are 
issues to tackle first for a multi-homed network.   
 
Also, note in the Future Work section (section 3) of your document, there is 
this bullet that already contradicts the IETF v6ops IPv6 CE Router Phase one 
document in the RFC Editor queue 
(http://datatracker.ietf.org/doc/draft-ietf-v6ops-ipv6-cpe-router/).

The draft-ietf-v6ops-ipv6-cpe-router says generation of the ULA is a MUST, not 
“if required” as your bullet says above.  See requirement L-1 in section 4.3 of 
draft-ietf-v6ops-ipv6-cpe-router.  Also, it is not clear what you mean by 
“define procedures”.   One task in the procedures of ULA setup is automatic 
which is the ULA prefix generation algorithm  specified by RFC 4193.   So what 
other tasks in the procedures are we talking about? 

Regards,
 
Hemant

Hemant Singh
Technical Leader.engineering
Product Development
[email-masked]
Phone: +1 978 936 1622
Cisco Systems, Inc.
United States
Cisco.com- http://www.cisco.com

---

From: Fred Baker <[email-masked]>
Date: Mon, 8 Nov 2010 18:06:02 +0800

On Nov 8, 2010, at 1:29 PM, Don Sturek wrote:

> On your point on the 40% of the deployments without broadband, we need to support the ability for those customers to add broadband later and to deploy smart energy devices on other links.  Therefore, the use case needs to be considered.

and if 40% don't have it, 60% do. We should not consider them as a use case? Please.